# org.pdfclown.documents.contents.layers.LayerDefinition Class Reference

Optional content properties [PDF:1.7:4.10.3]. More...

Inheritance diagram for org.pdfclown.documents.contents.layers.LayerDefinition:

List of all members.

## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
| LayerDefinition (Document context)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static LayerDefinition | Wrap (PdfDirectObject baseObject)
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
Array< LayerConfiguration > | AlternateConfigurations`[get, set]`
| Gets the layer configurations used under particular circumstances.
PdfDirectObject | BaseObject`[get]`
| Gets the underlying reference object, if available; otherwise, gets the underlying data object.
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
string | Creator`[get, set]`
| Gets/Sets the name of the application or feature that created this configuration.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
LayerConfiguration | DefaultConfiguration`[get, set]`
| Gets the default layer configuration, that is the initial state of the optional content groups when a document is first opened.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
Layers | Layers`[get, set]`
| Gets the layer structure.
ListModeEnum | ListMode`[get, set]`
| Gets/Sets the list mode specifying which layers should be displayed to the user.
Array< LayerGroup > | OptionGroups`[get]`
| Gets the groups of layers whose states are intended to follow a radio button paradigm (that is exclusive visibility within the same group).
string | Title`[get, set]`
| Gets/Sets the configuration name.
bool | Visible`[get, set]`
| Gets/Sets whether all the layers in the document are initialize to be visible when this configuration is applied.

##

Optional content properties [PDF:1.7:4.10.3].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.layers.LayerDefinition.LayerDefinition | ( | Document | context | ) |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static LayerDefinition org.pdfclown.documents.contents.layers.LayerDefinition.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

## Property Documentation

Array<LayerConfiguration> org.pdfclown.documents.contents.layers.LayerDefinition.AlternateConfigurations`[get, set]`

Gets the layer configurations used under particular circumstances.

PdfDirectObject org.pdfclown.objects.IPdfObjectWrapper.BaseObject`[get, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

Implemented in org.pdfclown.objects.PdfObjectWrapper.

Referenced by org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates.Add(), and org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates.Insert().

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

string org.pdfclown.documents.contents.layers.LayerDefinition.Creator`[get, set]`

Gets/Sets the name of the application or feature that created this configuration.

Implements org.pdfclown.documents.contents.layers.ILayerConfiguration.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

LayerConfiguration org.pdfclown.documents.contents.layers.LayerDefinition.DefaultConfiguration`[get, set]`

Gets the default layer configuration, that is the initial state of the optional content groups when a document is first opened.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

Layers org.pdfclown.documents.contents.layers.LayerDefinition.Layers`[get, set]`

Gets the layer structure.

Implements org.pdfclown.documents.contents.layers.ILayerConfiguration.

ListModeEnum org.pdfclown.documents.contents.layers.LayerDefinition.ListMode`[get, set]`

Gets/Sets the list mode specifying which layers should be displayed to the user.

Implements org.pdfclown.documents.contents.layers.ILayerConfiguration.

Array<LayerGroup> org.pdfclown.documents.contents.layers.LayerDefinition.OptionGroups`[get]`

Gets the groups of layers whose states are intended to follow a radio button paradigm (that is exclusive visibility within the same group).

Implements org.pdfclown.documents.contents.layers.ILayerConfiguration.

string org.pdfclown.documents.contents.layers.LayerDefinition.Title`[get, set]`

Gets/Sets the configuration name.

Implements org.pdfclown.documents.contents.layers.ILayerConfiguration.

bool org.pdfclown.documents.contents.layers.LayerDefinition.Visible`[get, set]`

Gets/Sets whether all the layers in the document are initialize to be visible when this configuration is applied.

Implements org.pdfclown.documents.contents.layers.ILayerConfiguration.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.